WebKit.PidFile | index /usr/local/share/webware/WebKit/PidFile.py

Modules

``

atexit | os | sys |

Classes

``

PidFile
exceptions.Exception
  ProcessRunning

class PidFile

``

Methods defined here:

__del__(self)

__init__(self, path)

getCurrentPID(self)

pidRunning(self, pid)

remove(self)

class ProcessRunning(exceptions.Exception)

``

Methods inherited from exceptions.Exception:

__getitem__(...)

__init__(...)

__str__(...)

Functions

``

removePidFile(pidfile)